@import "responsive";
@import "theme";

.spacer {
  @include desktop {
    width: 20px;
    height: 20px;
  }
  @include tablet {
    width: 10px;
    height: 10px;
  }
  @include mobile {
    width: 5px;
    height: 5px;
  }
}

.spacer-small {
  @include desktop {
    width: 15px;
    height: 15px;
  }
  @include tablet {
    width: 5px;
    height: 5px;
  }
  @include mobile {
    width: 3px;
    height: 3px;
  }
}

.spacer-smallest {
  @include desktop {
    width: 10px;
    height: 10px;
  }
  @include tablet {
    width: 3px;
    height: 3px;
  }
  @include mobile {
    width: 2px;
    height: 2px;
  }
}

%not-selectable {
  -webkit-user-select: none; /* Chrome all / Safari all */
  -moz-user-select: none; /* Firefox all */
  -ms-user-select: none; /* IE 10+ */
  user-select: none;
}

%full-centered-content {
  display: flex;
  justify-content: center;
  align-items: center;
}

@mixin rotate-text($value) {
  -webkit-transform: rotate($value);
  -moz-transform: rotate($value);
  -ms-transform: rotate($value);
  -o-transform: rotate($value);
}